﻿@model IEnumerable<DomainClass.Degree>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>نشانها، تقدیرنامه ها و مدارج افتخاری که به دلیل موفقیتهای ویژه دریافت نموده اید</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "Degree", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>شماره ملی
            @Html.DisplayNameFor(model => model.User.Lname)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Onvan_Deg)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NoTaghdir)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Magham_Deg)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date_Deg)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Elat_Deg)
        </th>*@
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Onvan_Deg)
        </td>
        <td>
@*            @Html.DisplayFor(modelItem => item.NoTaghdir)*@
            @Html.EnumDisplay(item.NoTaghdir)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Magham_Deg)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Date_Deg)
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.Elat_Deg)
        </td>*@
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>
